<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.izouma.awesomeadmin.dao.DataMapper">
    <sql id="columns">
        user_id, power, password, user_name, profile, del_flag
  	</sql>

    <select id="queryAllUsers" resultType="com.izouma.awesomeadmin.model.SuperUser">
        SELECT
        <include refid="columns"/>
        FROM super_user
        where del_flag = 'N'
        order by user_id
        <!-- 为了测试只取100个 -->
        <!-- LIMIT 100  -->
    </select>


    <select id="queryZouma" resultType="com.izouma.awesomeadmin.model.Zouma">
        SELECT
        *
        FROM zouma
        where del_flag = 0
        order by id
        <!-- 为了测试只取100个 -->
        <!-- LIMIT 100  -->
    </select>

    <select id="getSqlServerTestByPage" resultType="com.izouma.awesomeadmin.model.SqlServerTest">
        SELECT * FROM T_SYS_Depts where  id > 2  ORDER BY id

    </select>

</mapper>